Skip to content

getSupplierContacts

READ

Get supplier contacts.

POST /api/v1/purchasing/getSupplierContacts
curl -X POST '<your-host>/api/v1/purchasing/getSupplierContacts' \
  -H 'Authorization: Bearer <api-key>' \
  -H 'Content-Type: application/json' \
  -d '{
    "supplierId": "string"
  }'
Response
{
  "results": [
    {
      "companyId": "string",
      "contactId": "string",
      "customFields": "…",
      "id": "string",
      "supplierId": "string",
      "supplierLocationId": "string",
      "tags": [
        "string"
      ],
      "userId": "string",
      "contact": {
        "id": "string",
        "fullName": "string",
        "firstName": "string",
        "lastName": "string",
        "email": "string",
        "mobilePhone": "string",
        "homePhone": "string",
        "workPhone": "string",
        "fax": "string",
        "title": "string",
        "notes": "string"
      },
      "user": {
        "id": "string",
        "active": true
      }
    }
  ],
  "count": null
}

Parameters

ParameterType

Input schema

schema
{
  "type": "object",
  "properties": {
    "supplierId": {
      "type": "string"
    }
  },
  "required": [
    "supplierId"
  ]
}